Public Member Functions | Package Functions

# BinNavi.API.disassembly.IDatabaseListener Interface Reference

Used to listen on databases. More...

Inheritance diagram for BinNavi.API.disassembly.IDatabaseListener:

List of all members.

## Public Member Functions
void | addedProject (Database database, Project project)
| Signals a new project in the database.
void | changedAutoConnect (Database database, boolean autoConnect)
| Signals an auto-connect settings change.
void | changedDescription (Database database, String description)
| Signals a new database description.
void | changedDriver (Database database, String driver)
| Signals a new database driver.
void | changedHost (Database database, String host)
| Signals a new database host.
void | changedName (Database database, String name)
| Signals a new database name.
void | changedPassword (Database database, String password)
| Signals a new database password.
void | changedSavePassword (Database database, boolean savePassword)
| Signals a change in the save-password setting.
void | changedUser (Database database, String user)
| Signals a new database user.
void | closedDatabase (Database database)
| Signals that the database was closed.
boolean | closingDatabase (Database database)
| Signals that the database is about to be closed.
void | deletedModule (Database database, Module module)
| Signals the deletion of a module from the database.
void | deletedProject (Database database, Project project)
| Signals the deletion of a project from the database.
void | loadedDatabase (Database database)
| Signals that data was loaded from the database.
void | openedDatabase (Database database)
| Signals that a database connection was established.
## Package Functions
void | addedModule (Database database, Module module)
| Signals a new module in the database.

## Detailed Description

Interface that can be implemented by objects that want to be notified about changes in Database objects.

## Member Function Documentation

void BinNavi.API.disassembly.IDatabaseListener.addedModule | ( | Database | database,
|  | Module | module |
| ) |  |  | `[package]`

Invoked after a new module was added to the database.

Parameters:

  | database | The database the module was added to.
  | module | The module that was added to the database.

void BinNavi.API.disassembly.IDatabaseListener.addedProject | ( | Database | database,
|  | Project | project |
| ) |  |  |

Invoked after a new project was added to the database.

Parameters:

  | database | The database the project was added to.
  | project | The project that was added to the database.

void BinNavi.API.disassembly.IDatabaseListener.changedAutoConnect | ( | Database | database,
|  | boolean | autoConnect |
| ) |  |  |

Invoked after the flag changes that determines whether a connection to the database is established automatically when BinNavi starts.

Parameters:

  | database | The database whose auto-connection flag changed.
  | autoConnect | The new value of the auto-connection flag.

void BinNavi.API.disassembly.IDatabaseListener.changedDescription | ( | Database | database,
|  | String | description |
| ) |  |  |

Invoked after the description string of the database changed.

Parameters:

  | database | The database whose description changed.
  | description | The new description string of the database.

void BinNavi.API.disassembly.IDatabaseListener.changedDriver | ( | Database | database,
|  | String | driver |
| ) |  |  |

Invoked after the driver string of the database changed.

Parameters:

  | database | The database whose driver string changed.
  | driver | The new driver string of the database.

void BinNavi.API.disassembly.IDatabaseListener.changedHost | ( | Database | database,
|  | String | host |
| ) |  |  |

Invoked after the host string of the database changed.

Parameters:

  | database | The database whose host string changed.
  | host | The new host string of the database.

void BinNavi.API.disassembly.IDatabaseListener.changedName | ( | Database | database,
|  | String | name |
| ) |  |  |

Invoked after the database name string of the database changed.

Parameters:

  | database | The database whose database name string changed.
  | name | The new database name string of the database.

void BinNavi.API.disassembly.IDatabaseListener.changedPassword | ( | Database | database,
|  | String | password |
| ) |  |  |

Invoked after the password that is used to connect to the database changed.

Parameters:

  | database | The database whose password changed.
  | password | The new password string of the database.

void BinNavi.API.disassembly.IDatabaseListener.changedSavePassword | ( | Database | database,
|  | boolean | savePassword |
| ) |  |  |

Invoked after the flag changes that determines whether the password of the database is saved in the configuration file.

Parameters:

  | database | The database whose save-password flag changed.
  | savePassword | The new value of the save-password flag.

void BinNavi.API.disassembly.IDatabaseListener.changedUser | ( | Database | database,
|  | String | user |
| ) |  |  |

Invoked after the user that is used to connect to the database changed.

Parameters:

  | database | The database whose user string changed.
  | user | The new user string of the database.

void BinNavi.API.disassembly.IDatabaseListener.closedDatabase | ( | Database | database | ) |

Invoked after the connection to the database closed.

Parameters:

  | database | The database whose connection closed.

boolean BinNavi.API.disassembly.IDatabaseListener.closingDatabase | ( | Database | database | ) |

Invoked right before a database is closed. The listening object has the opportunity to veto the close process if it still needs to work with the database.

Parameters:

  | database | The database that is about to be closed.

Returns:
  True, to indicate that the database can be closed. False, to veto the close process.

void BinNavi.API.disassembly.IDatabaseListener.deletedModule | ( | Database | database,
|  | Module | module |
| ) |  |  |

Invoked after a module was deleted from the database.

After this function was invoked, further usage of the deleted module or objects inside that module lead to undefined behavior.

Parameters:

  | database | The database the module was deleted from.
  | module | The module that was deleted from the database.

void BinNavi.API.disassembly.IDatabaseListener.deletedProject | ( | Database | database,
|  | Project | project |
| ) |  |  |

Invoked after a project was deleted from the database.

After this function was invoked, further usage of the deleted project or objects inside that project lead to undefined behavior.

Parameters:

  | database | The database the project was deleted from.
  | project | The project that was deleted from the database.

void BinNavi.API.disassembly.IDatabaseListener.loadedDatabase | ( | Database | database | ) |

Invoked after the data stored in the database was loaded.

After this function was invoked, database objects like the projects or modules stored in the database can be accessed.

Parameters:

  | database | The database that was loaded.

void BinNavi.API.disassembly.IDatabaseListener.openedDatabase | ( | Database | database | ) |

Invoked after a connection to the database was established.

Parameters:

  | database | The database a connection was established to.